{
  "name": "typescript-express-boilerplate",
  "version": "1.0.0",
  "main": "index.js",
  "author": "Navneet Lal Gupta <navneetlalg@gmail.com>",
  "license": "MIT",
  "scripts": {
    "prepare": "husky install",
    "start": "nodemon",
    "build": "tsc",
    "preinstall": "npx only-allow yarn",
    "lint": "eslint 'src/**/*.ts'",
    "lint:fix": "npm run lint -- --fix",
    "prettier": "prettier --write 'src/**/*.{ts,json}'"
  },
  "dependencies": {
    "cors": "^2.8.5",
    "date-fns": "^2.29.3",
    "date-fns-tz": "^2.0.0",
    "dotenv": "^16.0.3",
    "express": "^4.18.2",
    "helmet": "^6.0.1",
    "log4js": "^6.9.0",
    "tslib": "^2.5.0"
  },
  "devDependencies": {
    "@types/cors": "^2.8.13",
    "@types/express": "^4.17.17",
    "@types/node": "^18.14.6",
    "@typescript-eslint/eslint-plugin": "^5.54.1",
    "@typescript-eslint/parser": "^5.54.1",
    "eslint": "^8.35.0",
    "eslint-config-prettier": "^8.7.0",
    "husky": ">=6",
    "lint-staged": ">=10",
    "nodemon": "^2.0.21",
    "prettier": "^2.8.4",
    "ts-node": "^10.9.1",
    "typescript": "^4.9.5"
  },
  "lint-staged": {
    "src/**/*.{ts,js}": "eslint --cache --fix",
    "src/**/*.{ts,js,md}": "prettier --write"
  }
}
